"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactSortableHoc = require("react-sortable-hoc");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var SortItem = (0, _reactSortableHoc.SortableElement)(function (_ref) {
  var children = _ref.children;
  return children;
});

var Sort =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Sort, _React$Component);

  function Sort() {
    _classCallCheck(this, Sort);

    return _possibleConstructorReturn(this, _getPrototypeOf(Sort).apply(this, arguments));
  }

  _createClass(Sort, [{
    key: "render",
    value: function render() {
      var _a = this.props,
          children = _a.children,
          _a$component = _a.component,
          Com = _a$component === void 0 ? 'div' : _a$component,
          className = _a.className,
          style = _a.style,
          restProps = __rest(_a, ["children", "component", "className", "style"]);

      var SortableList = (0, _reactSortableHoc.SortableContainer)(function () {
        return _react["default"].createElement(Com, {
          className: className,
          style: style
        }, children);
      });
      return _react["default"].createElement(SortableList, restProps);
    }
  }]);

  return Sort;
}(_react["default"].Component);

Sort.defaultProps = {
  tag: 'div'
};

var SortHandle = function SortHandle(props) {
  var DragHandle = (0, _reactSortableHoc.SortableHandle)(function () {
    return _react["default"].createElement(_react["default"].Fragment, null, props.children);
  });
  return _react["default"].createElement(DragHandle, null);
};

Sort.SortItem = SortItem;
Sort.SortHandle = SortHandle;
var _default = Sort;
exports["default"] = _default;
//# sourceMappingURL=index.js.map
