import React, { Component, CSSProperties } from 'react';
import Column from './Column';
interface BoxProps {
    width: string | number;
    style: CSSProperties;
    onResize?: (width: number[]) => any;
}
declare class Box extends Component<BoxProps, any> {
    static Column: typeof Column;
    static defaultProps: {};
    static propTypes: {};
    panelsWidth: number[];
    panels: NodeListOf<HTMLElement> | HTMLCollectionOf<Element>;
    tdbox: HTMLDivElement;
    constructor(props: BoxProps);
    componentDidMount(): void;
    startResize: (ev: React.MouseEvent<Element, MouseEvent>, index: number) => void;
    render(): JSX.Element;
}
export default Box;
