function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import React, { PureComponent } from 'react';
var BaseUrl = '//static.tongdun.cn/static-public/assets/images/1.0.1/';
var imageConfig = {
  '404': "".concat(BaseUrl, "404.png"),
  '403': "".concat(BaseUrl, "403.png"),
  '500': "".concat(BaseUrl, "500.png")
};

var default_1 =
/*#__PURE__*/
function (_PureComponent) {
  _inherits(default_1, _PureComponent);

  function default_1() {
    _classCallCheck(this, default_1);

    return _possibleConstructorReturn(this, _getPrototypeOf(default_1).apply(this, arguments));
  }

  _createClass(default_1, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          type = _this$props.type,
          link = _this$props.link;
      var url = imageConfig[type];

      if (!url) {
        return null;
      }

      return React.createElement("div", {
        style: {
          width: '100%',
          height: '100%',
          display: 'flex',
          alignItems: 'center',
          justifyContent: 'center'
        }
      }, React.createElement("a", {
        href: link,
        style: {
          display: 'block',
          maxWidth: '50%'
        }
      }, React.createElement("img", {
        src: url,
        alt: type,
        style: {
          width: '100%'
        }
      })));
    }
  }]);

  return default_1;
}(PureComponent);

export { default_1 as default };
default_1.defaultProps = {
  link: '/'
};
//# sourceMappingURL=index.js.map
