import * as React from 'react';
import { ModalProps as AntdModalProps, ModalFuncProps as AntdModalFuncProps } from 'antd/es/modal';
interface ModalProps extends AntdModalProps {
    draggable?: boolean;
}
interface ModalFuncProps extends AntdModalFuncProps {
    draggable?: boolean;
}
declare class ExtendModal extends React.Component<ModalProps, {}> {
    constructor(props: ModalProps);
    uuid: number;
    lastMove: number;
    canMove: boolean;
    initPos: [number, number];
    startPos: [number, number];
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: ModalProps): void;
    addEventListener: () => void;
    render(): JSX.Element;
    static info: (props: ModalFuncProps) => void;
    static success: (props: ModalFuncProps) => {
        destroy: () => void;
        update: (newConfig: AntdModalFuncProps) => void;
    };
    static error: (props: ModalFuncProps) => {
        destroy: () => void;
        update: (newConfig: AntdModalFuncProps) => void;
    };
    static warn: (props: ModalFuncProps) => {
        destroy: () => void;
        update: (newConfig: AntdModalFuncProps) => void;
    };
    static warning: (props: ModalFuncProps) => {
        destroy: () => void;
        update: (newConfig: AntdModalFuncProps) => void;
    };
    static confirm: (props: ModalFuncProps) => {
        destroy: () => void;
        update: (newConfig: AntdModalFuncProps) => void;
    };
    static destroyAll: () => void;
}
export default ExtendModal;
